package com.chenyang.nse.bussiness.performance_monitor.entity;

import java.util.List;

public class PerformanceMonitorBase extends DSBaseModel<PerformanceMonitorBase> {
   String tid;
   String appName;
   String datasystemAddr;
   String datasystemName;
   String proxyAddr;
   String proxyServerName;
   String conschema;
   String appUser;
   String dbUser;
   String exeSql;
   String reqTime;
   String resTime;
   long timeDiff;
   long dbTime;
   long startTimeMillis;
   long betweenTime1;
   long betweenTime2;
   Integer avgTimeBySql;
   List<PerformanceMonitorDashBoardDetailEntity> detailsDashBoard;

   public String getTid() {
      return this.tid;
   }

   public String getAppName() {
      return this.appName;
   }

   public String getDatasystemAddr() {
      return this.datasystemAddr;
   }

   public String getDatasystemName() {
      return this.datasystemName;
   }

   public String getProxyAddr() {
      return this.proxyAddr;
   }

   public String getProxyServerName() {
      return this.proxyServerName;
   }

   public String getConschema() {
      return this.conschema;
   }

   public String getAppUser() {
      return this.appUser;
   }

   public String getDbUser() {
      return this.dbUser;
   }

   public String getExeSql() {
      return this.exeSql;
   }

   public String getReqTime() {
      return this.reqTime;
   }

   public String getResTime() {
      return this.resTime;
   }

   public long getTimeDiff() {
      return this.timeDiff;
   }

   public long getDbTime() {
      return this.dbTime;
   }

   public long getStartTimeMillis() {
      return this.startTimeMillis;
   }

   public long getBetweenTime1() {
      return this.betweenTime1;
   }

   public long getBetweenTime2() {
      return this.betweenTime2;
   }

   public Integer getAvgTimeBySql() {
      return this.avgTimeBySql;
   }

   public List<PerformanceMonitorDashBoardDetailEntity> getDetailsDashBoard() {
      return this.detailsDashBoard;
   }

   public void setTid(final String tid) {
      this.tid = tid;
   }

   public void setAppName(final String appName) {
      this.appName = appName;
   }

   public void setDatasystemAddr(final String datasystemAddr) {
      this.datasystemAddr = datasystemAddr;
   }

   public void setDatasystemName(final String datasystemName) {
      this.datasystemName = datasystemName;
   }

   public void setProxyAddr(final String proxyAddr) {
      this.proxyAddr = proxyAddr;
   }

   public void setProxyServerName(final String proxyServerName) {
      this.proxyServerName = proxyServerName;
   }

   public void setConschema(final String conschema) {
      this.conschema = conschema;
   }

   public void setAppUser(final String appUser) {
      this.appUser = appUser;
   }

   public void setDbUser(final String dbUser) {
      this.dbUser = dbUser;
   }

   public void setExeSql(final String exeSql) {
      this.exeSql = exeSql;
   }

   public void setReqTime(final String reqTime) {
      this.reqTime = reqTime;
   }

   public void setResTime(final String resTime) {
      this.resTime = resTime;
   }

   public void setTimeDiff(final long timeDiff) {
      this.timeDiff = timeDiff;
   }

   public void setDbTime(final long dbTime) {
      this.dbTime = dbTime;
   }

   public void setStartTimeMillis(final long startTimeMillis) {
      this.startTimeMillis = startTimeMillis;
   }

   public void setBetweenTime1(final long betweenTime1) {
      this.betweenTime1 = betweenTime1;
   }

   public void setBetweenTime2(final long betweenTime2) {
      this.betweenTime2 = betweenTime2;
   }

   public void setAvgTimeBySql(final Integer avgTimeBySql) {
      this.avgTimeBySql = avgTimeBySql;
   }

   public void setDetailsDashBoard(final List<PerformanceMonitorDashBoardDetailEntity> detailsDashBoard) {
      this.detailsDashBoard = detailsDashBoard;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof PerformanceMonitorBase)) {
         return false;
      } else {
         PerformanceMonitorBase other = (PerformanceMonitorBase)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$tid = this.getTid();
            Object other$tid = other.getTid();
            if (this$tid == null) {
               if (other$tid != null) {
                  return false;
               }
            } else if (!this$tid.equals(other$tid)) {
               return false;
            }

            Object this$appName = this.getAppName();
            Object other$appName = other.getAppName();
            if (this$appName == null) {
               if (other$appName != null) {
                  return false;
               }
            } else if (!this$appName.equals(other$appName)) {
               return false;
            }

            Object this$datasystemAddr = this.getDatasystemAddr();
            Object other$datasystemAddr = other.getDatasystemAddr();
            if (this$datasystemAddr == null) {
               if (other$datasystemAddr != null) {
                  return false;
               }
            } else if (!this$datasystemAddr.equals(other$datasystemAddr)) {
               return false;
            }

            Object this$datasystemName = this.getDatasystemName();
            Object other$datasystemName = other.getDatasystemName();
            if (this$datasystemName == null) {
               if (other$datasystemName != null) {
                  return false;
               }
            } else if (!this$datasystemName.equals(other$datasystemName)) {
               return false;
            }

            Object this$proxyAddr = this.getProxyAddr();
            Object other$proxyAddr = other.getProxyAddr();
            if (this$proxyAddr == null) {
               if (other$proxyAddr != null) {
                  return false;
               }
            } else if (!this$proxyAddr.equals(other$proxyAddr)) {
               return false;
            }

            Object this$proxyServerName = this.getProxyServerName();
            Object other$proxyServerName = other.getProxyServerName();
            if (this$proxyServerName == null) {
               if (other$proxyServerName != null) {
                  return false;
               }
            } else if (!this$proxyServerName.equals(other$proxyServerName)) {
               return false;
            }

            Object this$conschema = this.getConschema();
            Object other$conschema = other.getConschema();
            if (this$conschema == null) {
               if (other$conschema != null) {
                  return false;
               }
            } else if (!this$conschema.equals(other$conschema)) {
               return false;
            }

            Object this$appUser = this.getAppUser();
            Object other$appUser = other.getAppUser();
            if (this$appUser == null) {
               if (other$appUser != null) {
                  return false;
               }
            } else if (!this$appUser.equals(other$appUser)) {
               return false;
            }

            Object this$dbUser = this.getDbUser();
            Object other$dbUser = other.getDbUser();
            if (this$dbUser == null) {
               if (other$dbUser != null) {
                  return false;
               }
            } else if (!this$dbUser.equals(other$dbUser)) {
               return false;
            }

            Object this$exeSql = this.getExeSql();
            Object other$exeSql = other.getExeSql();
            if (this$exeSql == null) {
               if (other$exeSql != null) {
                  return false;
               }
            } else if (!this$exeSql.equals(other$exeSql)) {
               return false;
            }

            Object this$reqTime = this.getReqTime();
            Object other$reqTime = other.getReqTime();
            if (this$reqTime == null) {
               if (other$reqTime != null) {
                  return false;
               }
            } else if (!this$reqTime.equals(other$reqTime)) {
               return false;
            }

            Object this$resTime = this.getResTime();
            Object other$resTime = other.getResTime();
            if (this$resTime == null) {
               if (other$resTime != null) {
                  return false;
               }
            } else if (!this$resTime.equals(other$resTime)) {
               return false;
            }

            if (this.getTimeDiff() != other.getTimeDiff()) {
               return false;
            } else if (this.getDbTime() != other.getDbTime()) {
               return false;
            } else if (this.getStartTimeMillis() != other.getStartTimeMillis()) {
               return false;
            } else if (this.getBetweenTime1() != other.getBetweenTime1()) {
               return false;
            } else if (this.getBetweenTime2() != other.getBetweenTime2()) {
               return false;
            } else {
               Object this$avgTimeBySql = this.getAvgTimeBySql();
               Object other$avgTimeBySql = other.getAvgTimeBySql();
               if (this$avgTimeBySql == null) {
                  if (other$avgTimeBySql != null) {
                     return false;
                  }
               } else if (!this$avgTimeBySql.equals(other$avgTimeBySql)) {
                  return false;
               }

               Object this$detailsDashBoard = this.getDetailsDashBoard();
               Object other$detailsDashBoard = other.getDetailsDashBoard();
               if (this$detailsDashBoard == null) {
                  if (other$detailsDashBoard != null) {
                     return false;
                  }
               } else if (!this$detailsDashBoard.equals(other$detailsDashBoard)) {
                  return false;
               }

               return true;
            }
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof PerformanceMonitorBase;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $tid = this.getTid();
      result = result * 59 + ($tid == null ? 43 : $tid.hashCode());
      Object $appName = this.getAppName();
      result = result * 59 + ($appName == null ? 43 : $appName.hashCode());
      Object $datasystemAddr = this.getDatasystemAddr();
      result = result * 59 + ($datasystemAddr == null ? 43 : $datasystemAddr.hashCode());
      Object $datasystemName = this.getDatasystemName();
      result = result * 59 + ($datasystemName == null ? 43 : $datasystemName.hashCode());
      Object $proxyAddr = this.getProxyAddr();
      result = result * 59 + ($proxyAddr == null ? 43 : $proxyAddr.hashCode());
      Object $proxyServerName = this.getProxyServerName();
      result = result * 59 + ($proxyServerName == null ? 43 : $proxyServerName.hashCode());
      Object $conschema = this.getConschema();
      result = result * 59 + ($conschema == null ? 43 : $conschema.hashCode());
      Object $appUser = this.getAppUser();
      result = result * 59 + ($appUser == null ? 43 : $appUser.hashCode());
      Object $dbUser = this.getDbUser();
      result = result * 59 + ($dbUser == null ? 43 : $dbUser.hashCode());
      Object $exeSql = this.getExeSql();
      result = result * 59 + ($exeSql == null ? 43 : $exeSql.hashCode());
      Object $reqTime = this.getReqTime();
      result = result * 59 + ($reqTime == null ? 43 : $reqTime.hashCode());
      Object $resTime = this.getResTime();
      result = result * 59 + ($resTime == null ? 43 : $resTime.hashCode());
      long $timeDiff = this.getTimeDiff();
      result = result * 59 + (int)($timeDiff >>> 32 ^ $timeDiff);
      long $dbTime = this.getDbTime();
      result = result * 59 + (int)($dbTime >>> 32 ^ $dbTime);
      long $startTimeMillis = this.getStartTimeMillis();
      result = result * 59 + (int)($startTimeMillis >>> 32 ^ $startTimeMillis);
      long $betweenTime1 = this.getBetweenTime1();
      result = result * 59 + (int)($betweenTime1 >>> 32 ^ $betweenTime1);
      long $betweenTime2 = this.getBetweenTime2();
      result = result * 59 + (int)($betweenTime2 >>> 32 ^ $betweenTime2);
      Object $avgTimeBySql = this.getAvgTimeBySql();
      result = result * 59 + ($avgTimeBySql == null ? 43 : $avgTimeBySql.hashCode());
      Object $detailsDashBoard = this.getDetailsDashBoard();
      result = result * 59 + ($detailsDashBoard == null ? 43 : $detailsDashBoard.hashCode());
      return result;
   }

   public String toString() {
      return "PerformanceMonitorBase(tid=" + this.getTid() + ", appName=" + this.getAppName() + ", datasystemAddr=" + this.getDatasystemAddr() + ", datasystemName=" + this.getDatasystemName() + ", proxyAddr=" + this.getProxyAddr() + ", proxyServerName=" + this.getProxyServerName() + ", conschema=" + this.getConschema() + ", appUser=" + this.getAppUser() + ", dbUser=" + this.getDbUser() + ", exeSql=" + this.getExeSql() + ", reqTime=" + this.getReqTime() + ", resTime=" + this.getResTime() + ", timeDiff=" + this.getTimeDiff() + ", dbTime=" + this.getDbTime() + ", startTimeMillis=" + this.getStartTimeMillis() + ", betweenTime1=" + this.getBetweenTime1() + ", betweenTime2=" + this.getBetweenTime2() + ", avgTimeBySql=" + this.getAvgTimeBySql() + ", detailsDashBoard=" + this.getDetailsDashBoard() + ")";
   }
}
